Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.security
Class SecurityContextException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.caucho.security.SecurityContextException

All Implemented Interfaces:
  ExceptionWrapper, java.io.Serializable

public class SecurityContextException
extends java.lang.Exception
implements ExceptionWrapper, java.io.Serializable

Security exception for finding the current security context.

See Also:
  Serialized Form

Constructor Summary
`SecurityContextException()` Null for serializable.
`SecurityContextException(java.lang.String msg)` Create a basic SecurityContextException with a message.
`SecurityContextException(java.lang.String message, java.lang.Throwable rootCause)` Create a SecurityContextException wrapping a root exception.
`SecurityContextException(java.lang.Throwable rootCause)` Create a SecurityContextException wrapping a root exception.

Method Summary
`java.lang.String` | `getMessage()` Returns the appropriate exception message.
`java.lang.Throwable` | `getRootCause()` Returns the root exception if it exists.
`java.lang.String` | `toString()` Print the exception as a string.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityContextException

    public SecurityContextException()

  Null for serializable.

### SecurityContextException

    public SecurityContextException(java.lang.String msg)

  Create a basic SecurityContextException with a message.
  Parameters:
    `msg` - the exception message.

### SecurityContextException

    public SecurityContextException(java.lang.Throwable rootCause)

  Create a SecurityContextException wrapping a root exception.
  Parameters:
    `rootCause` - the underlying wrapped exception.

### SecurityContextException

    public SecurityContextException(java.lang.String message,
                                    java.lang.Throwable rootCause)

  Create a SecurityContextException wrapping a root exception.
  Parameters:
    `message` - the message to use.
    `rootCause` - the underlying wrapped exception.

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Returns the root exception if it exists.
  Specified by:
    `getRootCause` in interface `ExceptionWrapper`
  Returns:
    the underlying wrapped exception.

### getMessage

    public java.lang.String getMessage()

  Returns the appropriate exception message.
  Overrides:
    `getMessage` in class `java.lang.Throwable`

### toString

    public java.lang.String toString()

  Print the exception as a string.
  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD